import { useEffect } from 'react';

var useEvent = function useEvent(event, handler) {
  var passive = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  useEffect(function () {
    // initiate the event handler
    window.addEventListener(event, handler, passive);

    // this will clean up the event when the component is unmounted
    return function cleanup() {
      window.removeEventListener(event, handler);
    };
  }, [handler, event, passive]);
};

export { useEvent as default };
//# sourceMappingURL=useEvent.js.map
